package main

/**
 * @Author: mucang
 * @Description: 文件上传示例
 */
import (
	defaultBFClient "gep-demo-go/com/baofoo/api"
	"gep-demo-go/com/baofoo/api/request"
	"gep-demo-go/com/baofoo/api/utils"
	"log"
)

func main() {
	request := request.BFRequest{}
	request.Path = "/api/common/file/upload-file"

	fileItem, err := utils.NewFileItemFromFilePath("D:\\GEP\\GEP-WORK\\go_work\\gep-demo-go\\cert\\test.jpg")
	if err != nil {
		panic(err)
	}

	request.FileItems = map[string]utils.FileItem{
		"file": *fileItem,
	}
	fileName, err := fileItem.GetFileName()
	if err != nil {
		panic(err)
	}
	fileMd5encryption, err := fileItem.GetFileMd5Encryption()
	if err != nil {
		panic(err)
	}

	request.Param = map[string]string{
		"userNo":            "5181200731000138828",
		"fileType":          "2",
		"fileName":          fileName,
		"fileMd5encryption": fileMd5encryption,
	}
	client := defaultBFClient.NewDefaultBFClient()
	res, err := client.Execute(&request)
	if err != nil {
		panic(err)
	}
	log.Println("返回结果：", res)

}
