package main

/**
 * @Author: mucang
 * @Description: 申请卡组
 */
import (
	defaultBFClient "gep-demo-go/com/baofoo/api"
	"gep-demo-go/com/baofoo/api/request"
	"log"

	"github.com/google/uuid"
)

func main() {
	// 创建一个BFRequest类型的请求对象
	request := request.BFRequest{}
	// 设置请求的路径
	request.Path = "/api/vas/card/applyCardGroup"
	// 设置请求的参数，使用map[string]string类型
	request.Param = map[string]string{
		"ccy":       "USD",  // 货币类型
		"groupName": "test", // 卡组名称
		"authMoney": "100",  // 授权金额
		"country":   "ALL",  // 国家
		"userReqNo": uuid.NewString(),
	}

	// 创建一个默认的BFClient客户端
	client := defaultBFClient.NewDefaultBFClient()
	res, err := client.Execute(&request)
	if err != nil {
		panic(err)
	}
	log.Println("返回结果：", res)

}
