package main

/**
 * @Author: mucang
 * @Description: 申请卡
 */
import (
	defaultBFClient "gep-demo-go/com/baofoo/api"
	"gep-demo-go/com/baofoo/api/request"
	"log"
	"time"

	"github.com/google/uuid"
)

func main() {
	request := request.BFRequest{}
	request.Path = "/api/vas/card/apply"
	request.Param = map[string]string{
		"userReqNo":           uuid.NewString(),
		"localCurrency":       "USD",
		"startDate":           time.Now().Format("2006-01-02"),
		"endDate":             "2026-10-11",
		"authLimitAmount":     "10",
		"enableMultiUse":      "1", // 1多次卡 0单次卡
		"enableCurrencyCheck": "0", // 是否限制交易币种 1开启校验 0 不校验
		"cardAlias":           "消费卡",
		"binRangeId":          "404038", // 测试环境不验证持卡人使用522981，验证持卡人使用438357,usa-404038
		"channelType":         "1",      // 1(常规卡，默认) 2(共享-附属卡)
		// "sceneCode":         "1004",
		// "groupId":           "2403191104000000622",
		"cardUserId": "2408091447000000452",
	}

	client := defaultBFClient.NewDefaultBFClient()
	res, err := client.Execute(&request)
	if err != nil {
		panic(err)
	}
	log.Println("返回结果：", res)

}
