package main

/**
 * @Author: mucang
 * @Description: 卡组操作查询
 */
import (
	defaultBFClient "gep-demo-go/com/baofoo/api"
	"gep-demo-go/com/baofoo/api/request"
	"log"
)

func main() {
	request := request.BFRequest{}
	request.Path = "/api/vas/card/queryCardGroupOperate"
	request.Param = map[string]string{
		"userReqNo":   "", // 卡操作请求时的流水号
		"groupId":     "", // 卡组申请时返回
		"status":      "", // 订单状态：0待处理 1处理中 2 成功 3失败
		"opType":      "", // 类型：0#开卡申请 1#充值 3#销卡 4#退款
		"beginTime":   "2024-03-18",
		"endTime":     "2024-04-28",
		"currentPage": "1",
		"pageSize":    "20", // 分页大小：每页记录数
	}

	client := defaultBFClient.NewDefaultBFClient()
	res, err := client.Execute(&request)
	if err != nil {
		panic(err)
	}
	log.Println("返回结果：", res)

}
